cURL
curl --request GET \ --url https://api.management.junction.com/v1/org/{org_id}/team/{team_id}/{environment}/continuous_query \ --header 'X-Management-Key: <api-key>'
{ "data": [ { "export_preferences": { "data_events": { "enabled": true } }, "id": "d25f4472-c679-4e7a-9442-2bce8c12afb1", "query": { "group_by": [ { "arg": { "index": "sleep" }, "date_trunc": { "unit": "month", "value": 1 } } ], "select": [ { "group_key": "*" }, { "arg": { "value_macro": "sleep_score", "version": "automatic" }, "func": "mean" } ] }, "query_config": { "provider_priority_overrides": [ "oura" ] }, "resource_dependencies": [ "sleep" ], "result_table_schema": { "group_key.0": "string", "sleep_score": "int64" }, "scheduling_preferences": { "minimum_gap_duration_second": 3600 }, "slug": "weekly_mean_sleep_score", "title": "Weekly Mean Sleep Score" } ], "next_cursor": "<string>" }
List all Continuous Queries configured for a team with their schedules and status.
https://api.management.junction.com/
X-Management-Key
production
sandbox
Successful Response
Show child attributes
Was this page helpful?